org.apache.poi.hemf.record.emfplus

## Class HemfPlusObject.EmfPlusObject

- java.lang.Object
- - org.apache.poi.hemf.record.emfplus.HemfPlusObject.EmfPlusObject

- All Implemented Interfaces:
    GenericRecord, HemfPlusMisc.EmfPlusObjectId, HemfPlusRecord, HwmfObjectTableEntry
  Enclosing class:
    HemfPlusObject

      public static class HemfPlusObject.EmfPlusObject
      extends java.lang.Object
      implements HemfPlusRecord, HemfPlusMisc.EmfPlusObjectId, HwmfObjectTableEntry

  The EmfPlusObject record specifies an object for use in graphics operations. The object definition can span multiple records), which is indicated by the value of the Flags field.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusObjectId

      `OBJECT_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmfPlusObject()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyObject(HwmfGraphics ctx)`
    `void` | `draw(HemfGraphics ctx)` Draws the record, the default redirects to the parent WMF record drawing
    `HemfPlusRecordType` | `getEmfPlusRecordType()`
    `int` | `getFlags()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `<T extends HemfPlusObject.EmfPlusObjectData> T` | `getObjectData()`
    `HemfPlusObject.EmfPlusObjectType` | `getObjectType()`
    `int` | `getTotalObjectSize()`
    `long` | `init(LittleEndianInputStream leis, long dataSize, long recordId, int flags)` Init record from stream

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusRecord

      `getGenericRecordType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren`

    - ### Methods inherited from interface org.apache.poi.hemf.record.emfplus.HemfPlusMisc.EmfPlusObjectId

      `getObjectId`

- - ### Constructor Detail

    - #### EmfPlusObject

          public EmfPlusObject()

  - ### Method Detail

    - #### getEmfPlusRecordType

          public HemfPlusRecordType getEmfPlusRecordType()

      Specified by:
        `getEmfPlusRecordType` in interface `HemfPlusRecord`

    - #### getFlags

          public int getFlags()

      Specified by:
        `getFlags` in interface `HemfPlusMisc.EmfPlusObjectId`
      Specified by:
        `getFlags` in interface `HemfPlusRecord`

    - #### getObjectType

          public HemfPlusObject.EmfPlusObjectType getObjectType()

    - #### getObjectData

          public <T extends HemfPlusObject.EmfPlusObjectData> T getObjectData()

    - #### getTotalObjectSize

          public int getTotalObjectSize()

    - #### init

          public long init(LittleEndianInputStream leis,
                           long dataSize,
                           long recordId,
                           int flags)
                    throws java.io.IOException

      Description copied from interface: `HemfPlusRecord`
      Init record from stream
      Specified by:
        `init` in interface `HemfPlusRecord`
      Parameters:
        `leis` - the little endian input stream
        `dataSize` - the size limit for this record
        `recordId` - the id of the `HemfPlusRecordType`
        `flags` - the record flags
      Returns:
        count of processed bytes
      Throws:
        `java.io.IOException` - when the inputstream is malformed

    - #### draw

          public void draw(HemfGraphics ctx)

      Description copied from interface: `HemfPlusRecord`
      Draws the record, the default redirects to the parent WMF record drawing
      Specified by:
        `draw` in interface `HemfPlusRecord`
      Parameters:
        `ctx` - the drawing context

    - #### applyObject

          public void applyObject(HwmfGraphics ctx)

      Specified by:
        `applyObject` in interface `HwmfObjectTableEntry`

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.